package com.lynarstudios.ls.std.time.systemtime;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.time.LocalDateTime;

class LocalDateTimeConverterTest {

  @Test
  void toUnixTimeStamp()
  {
    LocalDateTimeConverter converter = new LocalDateTimeConverter();
    LocalDateTime localDateTime = LocalDateTime.of(2030, 6, 1, 10, 55, 13);

    Assertions.assertEquals(1906534513L, converter.toUnixTimeStamp(localDateTime));
  }
}
